Last Comment Bug 795294 - Many dictionaries don't claim to be dictionaries with <em:type>64</em:type>
: Many dictionaries don't claim to be dictionaries with <em:type>64</em:type>
Status: NEW
wait for the release of Thunderbird >...
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Dictionaries (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://addons.mozilla.org/en-US/fire...
: 1215507 (view as bug list)
Depends on: 1048002 782118
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 05:59 PDT by Axel Hecht [pto-Aug-30][:Pike]
Modified: 2016-04-25 02:07 PDT (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Axel Hecht [pto-Aug-30][:Pike] 2012-09-28 05:59:22 PDT
pure hunspell dictionary addons are now restartless, and handled as such if they specify their type to be 64 by the addons manager.

Many of the dictionaries on https://addons.mozilla.org/en-US/firefox/language-tools/ are apparently not updated to that.

Can we get an inventory of which add-ons are affected? I found at least the German dictionary to be, and comments on my blog https://blog.mozilla.org/axel/2012/09/27/language-packs-are-restartless-now/comment-page-1/ indicate it's more.

I wonder if we should repack them for the authors, as it's a trivial change. We could also update the maxVersion while we're at it.
Comment 1 Robert Kaiser 2012-09-28 06:55:33 PDT
The German dictionaries have originally been started off with the tool there was a long time ago to create dictionary XPIs, and I guess many have used that back then, so whatever that did for install.rdf is probably widespread. I'll create an update for the German dictionaries with that type added, but this might take a few days or a week or so.
Comment 2 Alfred Kayser 2012-09-28 07:20:34 PDT
I tried to CC fjoerfoks (for the Dutch and Frysian language/spelling packs, but failed.
Comment 3 heraldo 2012-09-28 08:56:40 PDT
Thanks for filing this bug Axel. Just out of curiosity I installed all dictionaries from A to C in 18.0a1 (2012-09-27) and non were restartless.
Comment 4 Jesper Kristensen 2012-09-29 02:05:45 PDT
I wanted to wait to reach out to dictionary authors and get the addons updated until the restartless dictionaries actually work without problems. Therefore I would not be surprised if my Danish dictionary was the only restartless dictionary we have. Please wait with this until the issues are fixed.
Comment 5 Robert Kaiser 2012-10-07 19:20:48 PDT
Updated versions of the German dictionaries with this fix are on AMO now, review pending.
Comment 6 Jesper Kristensen 2013-02-17 06:21:19 PST
Since Firefox 18 is on the release channel, I think we should try to move forward with this now.

I didn't find any existing docs, so I have created this new page describing the dictionary add-on format:
https://developer.mozilla.org/en-US/docs/Creating_a_spell_check_dictionary_add-on

We can use that page if we choose to ask the add-on authors to update their add-on instead of automatically changing them.
Comment 7 heraldo 2013-02-23 01:09:45 PST
What stops Mozilla for automatically changing them? I imagine that dictionaries are typically rarely updated. Having the mechanism already in place to make the user experience much better, it would be great if users got this advantage rather sooner than later.
Comment 8 Paul Schmiedge 2013-03-28 17:12:21 PDT
AMO claimed there was something "wrong" with my latest update to the Canadian English dictionary.  I updated it to the new dictionary type, but I was concerned that AMO's checker offered me no explanation or suggestions on how to make it "right".  I came across this thread recently when trying to research the ramifications of my blind acceptance of its advice.

Jesper, your proposed tutorial page suggests restartless compatibility should target Firefox 18a1 and Thunderbird 18a1.  Well, that version of Thunderbird isn't live yet - I don't want to target it and prevent users from accessing my word list updates (rare though they may be).  Is there a lower version number we can reliably target for Thunderbird?
Comment 9 Jesper Kristensen 2013-03-29 04:19:23 PDT
(In reply to Paul Schmiedge from comment #8)
AMO should still accept the old dictionary format. If there are any issues with it, file a bug on AMO.

I was not aware that Thunderbird 18 was not released yet. In that case I guess you should not use the restartless format yet.

If you set minVersion to 17, users of that version will not be able to update your add-on. (bug 782118)
If you set minVersion to 10, users of 10 to 16 may receive warnings when they try to update Firefox/Thunderbird. (bug 782115)
Comment 10 Robert Kaiser 2013-03-29 06:02:27 PDT
My dictionaries (German in 3 variations) are probably among the most-used, if not the most-used dictionary add-ons from AMO. I have set them to em:type 64 in the newest versions, and did set the compat to 10.0a1 and higher, and I haven't heard about any complaints related to that. You should be able to do that as well.
Comment 11 heraldo 2014-08-03 04:02:22 PDT
Hi, time to revisit this one now that Fx & Thunderbird 31 is out?
Comment 12 Francesco Lodolo [:flod] 2014-08-03 05:16:39 PDT
Just uploaded a new version of the Italian dictionary. With 2 ESR releases in the middle I think it's now safe to have a restartless dictionary (I didn't consider correct setting the minimum compatibility to 10).
Comment 13 Jesper Kristensen 2015-10-26 10:45:11 PDT
*** Bug 1215507 has been marked as a duplicate of this bug. ***
Comment 14 Jorge Villalobos [:jorgev] 2016-04-22 16:03:45 PDT
Andreas, do you know where we are on this?
Comment 15 Andreas Wagner [:TheOne] 2016-04-25 02:07:19 PDT
All langpacks on https://addons.mozilla.org/en-US/firefox/language-tools/ have been fixed. However there might be more on AMO which still have this issue. The only way to find out is to download all of them and check each manually.
Comment 16 Andreas Wagner [:TheOne] 2016-04-25 02:07:55 PDT
> All langpacks ...

Of course I meant dictionaries.

Note You need to log in before you can comment on or make changes to this bug.